clang-tools 8.0.0

Namespaces | Functions
Compiler.cpp File Reference
`#include "Compiler.h"`
`#include "Logger.h"`
`#include "clang/Basic/TargetInfo.h"`
`#include "clang/Lex/PreprocessorOptions.h"`
`#include "llvm/Support/Format.h"`
`#include "llvm/Support/FormatVariadic.h"`
Include dependency graph for Compiler.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::unique_ptr< CompilerInstance > | clang::clangd::prepareCompilerInstance (std::unique_ptr< clang::CompilerInvocation > CI, const PrecompiledPreamble *Preamble, std::unique_ptr< llvm::MemoryBuffer > Buffer, std::shared_ptr< PCHContainerOperations > PCHs, llvm::IntrusiveRefCntPtr< llvm::vfs::FileSystem > VFS, DiagnosticConsumer &DiagsClient)